<?
### Версия ПО (ДМ) 1.0.0.0 ( (c)2018 MISOFT Продукт защищен регистрацией патента и авторских прав! www.misoft.studio )
######################################################################################################################

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
    define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
    session_start();
    header( 'Content-type: text/html; charset=windows-1251' );
    include_once ROOT_DIR . '/engine/config.php';
    include_once ROOT_DIR . '/engine/function.php';
} else {
    if ( !defined( 'MISOFT' ) ) { exit(); }
}

if ( !isset( $_SESSION['iduser'] ) ) {
    echo '<div style="margin-left: -10px;" class="alert alert-info alert-dismissible fade in" role="alert">
			<button type="button" class="close" data-dismiss="alert" aria-label="Close">
				<span aria-hidden="true">&times;</span>
			</button>
			<h5 class="alert-heading"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Внимание!</h5>
			<p style="font-size: 14px;">Вы не авторизированы. Доступ к этой странице разрешен только авторизованным пользователям. <br>Пожалуйста, воспользуйтесь формой авторизации.</p>
			<p style="font-size: 14px;" class="m-b-0">Для перехода в форму авторизации нажмите <a class="a_link" href="/login" >login</a>.</p>
		  </div>';
} else {
            
    if ( isset( $_COOKIE['reftype'] ) and !$_GET['type'] ) {
      switch ( $_COOKIE['reftype'] ) {
		case 1: $sortref = 'сортировать по дате'; $stype = 1; break;
		case 2: $sortref = 'сортировать по нику'; $stype = 2; break;
		case 3: $sortref = 'сортировать по доходу'; $stype = 3; break;
		case 4: $sortref = 'сортировать по активности'; $stype = 4; break;
		case 5: $sortref = 'только активные'; $stype = 5; break;
		case 6: $sortref = 'только неактивные'; $stype = 6; break;
		case 7: $sortref = 'за которых выдан бонус'; $stype = 7; break;
		default: $stype = 4; break;
      }
    } else
    if ( isset( $_GET['type'] ) ) {
      switch ( ( int ) $_GET['type'] ) {
		case 1: $sortref = 'сортировать по дате'; $stype = 1; break;
		case 2: $sortref = 'сортировать по нику'; $stype = 2; break;
		case 3: $sortref = 'сортировать по доходу'; $stype = 3; break;
		case 4: $sortref = 'сортировать по активности'; $stype = 4; break;
		case 5: $sortref = 'только активные'; $stype = 5; break;
		case 6: $sortref = 'только неактивные'; $stype = 6; break;
		case 7: $sortref = 'за которых выдан бонус'; $stype = 7; break;
		default: $stype = 4; break;
      }
    } else {
      $sortref = 'сортировать по дате';
      $stype = 1;
    }
    
    include_once ROOT_DIR . '/modules/referrals/menu.php';
    
    $ref1 = mysql_query( "SELECT id FROM user WHERE referer = '" . $_SESSION['iduser'] . "' LIMIT 1" );

    ?>
    <script type="text/javascript">
      var kolsearch = 0;
      $(document).ready(function() {
        $('.user_no_activate').tipTip({defaultPosition:'right'});
        $('.user_activate').tipTip({defaultPosition:'right'});
        $('.ref_bonus').tipTip({defaultPosition:'right'});
        $('.referrals-while-dell').tipTip({defaultPosition:'right'});
        $('.ref_fair_while_icon').tipTip({defaultPosition:'right'});
        
        $('#searchname').keyup(function () {
          if ( $(this).val() != '' ) {
			$('.wrap_search_user').append('<div class="search_ref_del" onclick="Page.Go(\'/referrals\');"></div>');
			$.post('ajax.php?func=serchreferals', {
			  username: $(this).val()
			}, function(data) {
			  if (data.ok == 1) {
				$('.wrap_ref_ajax').html('');
				for(var i = 0; i <= data.search.length - 1; i++) {
				  kolsearch += 1;
				  $('.wrap_ref_ajax').append(data.search[i].content);
				}
				$('.navigation, .wrap_type_ref').hide();
				$('.text_title font').html(kolsearch);
			  } else {
				$('.wrap_ref_ajax').html('<tr><td colspan="6" width="100%"></br><div class="div_centralizator" style="color:#999999; font-size:14px">По вашему запросу ничего не найдено!</div></td></tr>');
				$('.navigation, .wrap_type_ref').hide();
				$('.text_title font').html('0');
			  }
			}, "json");
          } else {
			Page.Go('/referrals');
          }
        });
      });
	  
	  function Autoback() {
		$.post('ajax.php?func=autorefback', {
			refback: $('#autoback').val()
		}, function(data){
		  if (data == 1) {
			Page.Go('/referrals');
			$('body').Qnotify({text:'Авторефбек успешно установлен!', sound:'error'});
		  } else {
			$('body').Qnotify({text:data, sound:'error'});
		  }
		});
		return false;
	  }
    </script>
    
	<div class="content_bar">
	  <article class="postBox">
		<div class="h2-title-header"><h2><a>Список рефералов</a></h2></div>
		<div class="image_referrals_p"></div>
		<div class="textPreview" style="">
		  <p class="earnings_text" style="color: #545454;">
			На этой странице вы можете видеть список ваших рефералов, управлять ими, изучать их статистику, дополнительную информацию, писать сообщения, дарить поощрения, редактировать реф-бек, выставлять на ярмарку. 
		  </p>
		</div>
	    <div class="div_centralizator" >
		  <table>
			<tr>
			  <td >
				Авто-рефбек: 
			  </td>
			  <td >
				<input type="text" value="<?=$config_user['autoback']?>" class="form-control" id="autoback" style="text-align: center; width: 30px; height: 13px; margin: 0 5px 0 5px;" />
			  </td>
			  <td >
				<button type="button" onclick="Autoback(); return false;" class="btn btn-primary btn-sm">сохранить</button>
			  </td>
			</tr>
		  </table>
		</div>
		<?
		if ( mysql_num_rows( $ref1 ) != 0 ) {
			
			if ( $stype == 1 ) {
				$reftype = 'ORDER BY regdate ASC';
			} else
			if ( $stype == 2 ) {
				$reftype = 'ORDER BY username ASC';
			} else
			if ( $stype == 3 ) {
				$reftype = 'ORDER BY toref DESC';
			} else
			if ( $stype == 4 ) {
				$reftype = 'ORDER BY logindate DESC';
			} else
			if ( $stype == 5 ) {
				$reftype = 'and logindate + 86400 > ' . time();
			}
			 else
			if ( $stype == 6 ) {
				$reftype = 'and logindate + 86400 * 7 < ' . time();
			}
			 else
			if ( $stype == 7 ) {
				$reftype = 'and refbonusend = 1 ';
			}
				
			$ref1_page = mysql_query( "SELECT id FROM user WHERE referer = '" . $_SESSION['iduser'] . "'" );
			$ref1_page_navigation = mysql_query( "SELECT id FROM user WHERE referer = '" . $_SESSION['iduser'] . "' $reftype" );
			
			?>
			
			<div class="total-referrals">
			  Всего рефералов:&nbsp;&nbsp;<font color="#bf8080"><?=mysql_num_rows( $ref1_page )?></font>
			</div>
			
			<div class="referrals-top-panel">
			  <div class="btn-group btn-group-ref-fix " >
			    <button class="btn btn-secondary btn-sm dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
				  <?=$sortref?>
			    </button>
			    <div class="dropdown-menu">
				  <a class="dropdown-item" href="" onclick="Page.RefType(1);">Cортировать по дате</a>
				  <a class="dropdown-item" href="" onclick="Page.RefType(2);">Cортировать по нику</a>
				  <a class="dropdown-item" href="" onclick="Page.RefType(3);">Cортировать по доходу</a>
				  <a class="dropdown-item" href="" onclick="Page.RefType(4);">Cортировать по активности</a>
				  <a class="dropdown-item" href="" onclick="Page.RefType(5);">Только активные</a>
				  <a class="dropdown-item" href="" onclick="Page.RefType(6);">Только неактивные</a>
				  <a class="dropdown-item" href="" onclick="Page.RefType(7);">За которых выдан бонус</a>
			    </div>
			  </div>
			  <div class="wrap_search_user_ref">
			    <input type="text" class="searchUser_int" id="searchname" placeholder="введите ник нужного пользователя" />
				<div class="glyphicon glyphicon-search searhIcon" aria-hidden="true"></div>
			    <div class="wrap_result_user"></div>
			  </div>
			</div>
			
			<table class="table">
			  <thead>
				<tr >
				  <th class="table-th-top-icon" style="border-top: 1px solid #FCFCFC;"><i class="fa fa-user-circle-o" aria-hidden="true"></i> Аватар</th>
				  <th class="table-th-top-icon" style="border-top: 1px solid #FCFCFC;"><i class="fa fa-user" aria-hidden="true"></i><br> Пользователь</th>
				  <th class="table-th-top-icon" style="border-top: 1px solid #FCFCFC;"> </th>
				  <th class="table-th-top-icon" style="border-top: 1px solid #FCFCFC;"> </th>
				  <th class="table-th-top-icon" style="border-top: 1px solid #FCFCFC;"><i class="fa fa-usd" aria-hidden="true"></i></br>Доход</th>
				  <th class="table-th-top-icon" style="border-top: 1px solid #FCFCFC;"><i class="fa fa-hand-pointer-o" aria-hidden="true"></i><br> Действие</th>
				</tr>
			  </thead>
			  
			  <?
				#Считаем количество страниц для навигации.
				$kolvo = 10;
				$all = mysql_num_rows( $ref1_page_navigation );
				$allpage = ceil( $all / $kolvo );
				$this_page = ( isset( $_GET['page'] ) ) ? intval( $_GET['page'] ) : 1 ;
				if ( $this_page < 1 ) $this_page = 1;
				if ( $this_page > $allpage ) $this_page = $allpage;
				$start = $this_page * $kolvo - $kolvo;
				if ( $start == -$kolvo ) { $start = 1; }
				
				#Запрос выборки для цикла
				$get_ref1 = mysql_query( "SELECT * FROM user WHERE referer = '" . $_SESSION['iduser'] . "' $reftype LIMIT $start,$kolvo" );
				
				echo '<tbody class="wrap_ref_ajax" id="id'.$get_ref1_row["id"].'">';
				
				while ( $get_ref1_row = mysql_fetch_array( $get_ref1 ) ) {
					
				  $ref_online = mysql_query( "SELECT id FROM online WHERE iduser = '" . $get_ref1_row['id'] . "'" );
					
				  $month = array( 'января', 'февраля', 'марта', 'апреля', 'мая', 'июня', 'июля', 'августа', 'сентября', 'октября', 'ноября', 'декабря' );
					
				  #Пол пользователя
				  if ( $get_ref1_row['sex'] == 0 ) {
					$ref_sex = 'заходил';
				  } else {
					$ref_sex = 'заходила';
				  }
					
				  #Если пользователь не заходил в аккаунт больше 2 недель
				  if ( $get_ref1_row['logindate'] + 86400 * 14 < time() ) {
				    if ( $get_ref1_row['wake'] == 0 ) { 
				      $lastWake = '';
					  $menu_link = '<a class="dropdown-item" href="" onclick="function_ref.Wake(' . $get_ref1_row['id'] . ', \'' . $lastWake . '\'); return false;">Разбудить</a>';
				    } else {
					  $lastWake = 'Последний раз вы будили реферала ' . date( 'd', $get_ref1_row['wake'] ) . ' ' . $month[( int ) date( 'm', $get_ref1_row['wake'] ) - 1] . ' ' . date( 'Y', $get_ref1_row['wake'] );
					  $menu_link = '<a class="dropdown-item" href="" onclick="function_ref.Wake(' . $get_ref1_row['id'] . ', \'' . $lastWake . '\'); return false;">Разбудить</a>';
				    }
				  } else {
					$menu_link = '';
				  }
					
				  #Дата последнего входа
				  if ( $get_ref1_row['logindate'] == 0 ) {
					$ref_logindate = '<div class="ref-user-offline">еще не ' . $ref_sex . '</div>';
				  } else
				  if ( mysql_num_rows( $ref_online ) ) {
				    $ref_logindate = '<div class="ref-user-online">онлайн</div>';
				  } else
				  if ( date( 'd.m.Y', $get_ref1_row['logindate'] ) == date( 'd.m.Y', time() ) ) {
					$ref_logindate = '<div class="ref-user-offline">сегодня в ' . date( 'H:i', $get_ref1_row['logindate'] ) . '</div>';
				  } else {
					$ref_logindate = '<div class="ref-user-offline" >' . $ref_sex . ' ' . ( int ) date( 'd', $get_ref1_row['logindate'] ) . ' ' . $month[( int ) date( 'm', $get_ref1_row['logindate'] ) - 1] . ' ' . date( 'Y', $get_ref1_row['logindate'] ) . '</div>';
				  }
					
				  #Проверяем удален ли пользователь, если да, применяем нужные действия
				  if ( $get_ref1_row['userdel'] == 1 ) {
					$btn_userdel = '<div class="referrals-while-dell" title="Данный пользователь был удален администрацией системы, за нарушения правил."><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Удален</div>';
					$get_ref1_row['avatar'] = 'del.png';
					$css_userdel = 'style="opacity: 0.5;"';
				  } else {
					$btn_userdel = '';
					$css_userdel = '';
				  }
					
				  #Проверяем активирован ли аккаунт, если да то выводим галочку возле ника
				  if ( $get_ref1_row['activate'] ) {
					$btn_act_ref1 = '<span class="user_activate" title="Аккаунт активирован"><i class="fa fa-check-circle-o" aria-hidden="true"></i></span>';
				  } else {
					$btn_act_ref1 = '<span class="user_no_activate" title="Аккаунт не активирован, пользователь частично ограничен!"><i class="fa fa-times-circle-o" aria-hidden="true"></i></span>';
				  }
				  
				  #Проверяем прибыль и меняем цвет
				  if( $get_ref1_row['toref'] > 0 ) {
					$ref_money_add = '<div class="referrals-while-toref-active">' . $get_ref1_row["toref"] . ' ' . $config["valutaname"] . '</div>';  
				  } else {
					$ref_money_add = '<div class="referrals-while-toref">' . $get_ref1_row["toref"] . ' ' . $config["valutaname"] . '</div>';  
				  }
				  
				  #Проверяем продается ли на ярмарке
				  if($get_ref1_row['price'] == 0) {
					$btn_text_fair = 'Продать на ярмарке';  
					$icon_on_fair = '';  
				  } else {
					$btn_text_fair = 'Снять с продажи'; 
					$icon_on_fair = '<div class="div_centralizator" ><div class="ref_fair_while_icon" title="Данный реферал выставлен на продажу на ярмарке."><i class="fa fa-gavel" aria-hidden="true"></i> '.$get_ref1_row["price"].'</div></div>';
				  }
					
				  ?>
					<tr class="wrap_ref" id="id<?=$get_ref1_row['id']?>">
					  <td width="40" <?=$css_userdel?>>
					    <div class="referrals-avater">
						  <a href="/id<?=$get_ref1_row['id']?>" >
							<img src="/temp/avatar/<?=$get_ref1_row['avatar']?>" width="40" height="40" class="img-circle top-avatar" alt="" />
						  </a>
					    </div>
					  </td>
					  <td width="150" <?=$css_userdel?>>
						<div class="div_centralizator ">
						  <div class="referrals-while-username"><?=$btn_act_ref1?> <?=$get_ref1_row['username']?></div>
						  <div class=""><?=$ref_logindate?></div>
						</div>
					  </td>
					  <td <?=$css_userdel?>>
						<div class="div_centralizator" >
						  <div class="ref_bonus" title="Этому пользователю присвоен рефбек от вас <?=$get_ref1_row['autoproc']?>% "><?=$get_ref1_row['autoproc']?>% бонуса</div>
						</div>
					  </td>
					  <td <?=$css_userdel?>>
						<?=$icon_on_fair?>
					  </td>
					  <td width="85" <?=$css_userdel?>>
						<div class="div_centralizator ">
						  <?=$ref_money_add?>
						</div>
					  </td>
					  <td width="80" class="top-symm" >
						<div class="referrals-while-opcion">
						  <? if( $get_ref1_row['userdel'] != 1 ) { ?>
						    <div class="btn-group" style="margin-bottom: -3px;">
							  <button class="btn btn-secondary btn-sm dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							    Опции
							  </button>
							  <div class="dropdown-menu">
							    <a class="dropdown-item" href="" onclick="function_ref.Info('<?=$get_ref1_row['id']?>');return false;">Смотреть статистику</a> 
							    <a class="dropdown-item" href="" onclick="msg.showDialog('<?=$get_ref1_row['id']?>', '<?=substr( md5( $message_md5 . $get_ref1_row['id'] ), 0, 22 ) ?>');return false;">Написать сообщение</a>
							    <a class="dropdown-item" href="id<?=$get_ref1_row['id']?>">Перейти на стенку</a>
							    <a class="dropdown-item" href="" onclick="function_ref.Fair('<?=$get_ref1_row['id']?>'); return false;"><?=$btn_text_fair?></a>  
							    <a class="dropdown-item" href="" onclick="function_ref.Refback(<?=$get_ref1_row['id']?>); return false;">Изменить рефбек</a>  
							    <a class="dropdown-item" href="" onclick="function_ref.Reward(<?=$get_ref1_row['id']?>); return false;">Вознаграждение</a>  
							    <?=$menu_link?>
							    <a class="dropdown-item" href="" onclick="function_ref.Alert(<?=$get_ref1_row['id']?>); return false;">Удалить</a> 
							  </div>
						    </div>
						  <? } else { ?>
						    <?=$btn_userdel?>
						  <? } ?>
						</div>
					  </td>
					</tr>
				  <?
			    }

				echo '</tbody>';
				
			  ?>
			  
			</table>
			<div class="div_centralizator"><?=navigation( 10, ( int ) $_GET['page'], mysql_num_rows( $ref1_page_navigation ), 'referrals&p=' )?></div>
		  <?
		} else {
			echo '</br></br>
			<div class="alert alert-info" role="alert">
			  <i class="fa fa-info-circle" aria-hidden="true"></i> У вас еще нет рефералов! Как привлечь рефералов в систему, можно узнать <a href="/reflink" class="a_box" >здесь</a>
			</div></br>';
		} 
		?>
	  </article>
	</div>
  <?
}
?>